<form name="editForm" role="form" novalidate (ngSubmit)="pushData()" #editForm="ngForm">

    <div class="modal-header">
        <h6 class="modal-title" id="myRequestProductLabel" jhiTranslate="mpmApp.requestProduct.home.search">Create or edit a Request Product</h6>
        <!-- <button type="button" class="close" data-dismiss="modal" aria-hidden="true" (click)="clear()">&times;</button> -->
    </div>

    <div class="modal-body">

        <p-dataTable
            [value]="requestProducts"
            [editable]="false"
            [rows]="itemsPerPage"
            [paginator]="true"
            [pageLinks]="5"
            [rowsPerPageOptions]="[10,15,20]"
            [totalRecords]="totalItems"
            [responsive]="true"
            [lazy]="true"
            [(selection)]="selected"
            dataKey="idRequest"
            [(first)]="first"
            row="itemsPerPage"
            totalRecords="totalItems"
            (onLazyLoad)="loadDataLazy($event)"
            selectionMode="single">
            <p-header>
                <form name="searchForm" class="form-inline">
                    <div class="input-group w-100 mt-3">
                        <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch"
                            name="currentSearch" placeholder="{{ 'mpmApp.requestProduct.home.search' | translate }}">
                        <button class="input-group-addon btn btn-info flat-style-button" (click)="search(currentSearch)" *ngIf="currentSearch">
                            <span class="fa fa-search"></span>
                        </button>
                        <button class="input-group-addon btn btn-danger flat-style-button" (click)="clear()" *ngIf="currentSearch">
                            <span class="fa fa-trash-o"></span>
                        </button>
                    </div>
                </form>
            </p-header>
            <p-column header="{{'global.field.sequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
                <ng-template let-rowIndex="rowIndex" pTemplate="body">
                    {{rowIndex + 1}}
                </ng-template>
            </p-column>
            <p-column header="{{'mpmApp.requestProduct.requestNumber'|translate}}">
                <ng-template let-rowData="rowData" pTemplate="body">
                    <div *ngIf="rowData.requestNumber">
                        {{rowData.requestNumber}}
                    </div>
                </ng-template>
            </p-column>
            <p-column header="{{'mpmApp.requestProduct.facilityFrom'|translate}}">
                <ng-template let-rowData="rowData" pTemplate="body">
                    <div *ngIf="rowData.facilityFromId">
                        {{rowData.facilityFromDescription}}
                    </div>
                </ng-template>
            </p-column>
            <p-column header="{{'mpmApp.requestProduct.facilityTo'|translate}}">
                <ng-template let-rowData="rowData" pTemplate="body">
                    <div *ngIf="rowData.facilityToId">
                        {{rowData.facilityToDescription}}
                    </div>
                </ng-template>
            </p-column>
            <p-column header="{{'mpmApp.requestProduct.createDate'|translate}}">
                <ng-template let-rowData="rowData" pTemplate="body">
                    <div *ngIf="rowData.dateCreate">
                        {{rowData.dateCreate | date : 'dd-MM-yyyy'}}
                    </div>
                </ng-template>
            </p-column>
        </p-dataTable>
    </div>
    <div class="modal-footer">
        <button pButton type="button" data-dismiss="modal" (click)="clearPage()"
            label="{{'entity.action.cancel' | translate}}"
            icon="fa-ban"
            class="ui-button-danger flat-label-button">
        </button>
        <button pButton type="submit"
            label="{{'entity.action.select' | translate}}"
            icon="fa-save"
            class="ui-button-primary flat-label-button">
        </button>
    </div>
</form>